Actualizar definición de campo personalizado
curl --request PUT \
--url https://api.lapyme.com.ar/api/v1/sales/metafield-definitions/{definition_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"name": "<string>",
"description": "<string>",
"validations": {
"required": true,
"min_length": 1,
"max_length": 2,
"min": 123,
"max": 123,
"options": [
"<string>"
]
}
}
'import requests
url = "https://api.lapyme.com.ar/api/v1/sales/metafield-definitions/{definition_id}"
payload = {
"name": "<string>",
"description": "<string>",
"validations": {
"required": True,
"min_length": 1,
"max_length": 2,
"min": 123,
"max": 123,
"options": ["<string>"]
}
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: '<string>',
description: '<string>',
validations: {
required: true,
min_length: 1,
max_length: 2,
min: 123,
max: 123,
options: ['<string>']
}
})
};
fetch('https://api.lapyme.com.ar/api/v1/sales/metafield-definitions/{definition_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lapyme.com.ar/api/v1/sales/metafield-definitions/{definition_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'description' => '<string>',
'validations' => [
'required' => true,
'min_length' => 1,
'max_length' => 2,
'min' => 123,
'max' => 123,
'options' => [
'<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.lapyme.com.ar/api/v1/sales/metafield-definitions/{definition_id}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"validations\": {\n \"required\": true,\n \"min_length\": 1,\n \"max_length\": 2,\n \"min\": 123,\n \"max\": 123,\n \"options\": [\n \"<string>\"\n ]\n }\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.lapyme.com.ar/api/v1/sales/metafield-definitions/{definition_id}")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"validations\": {\n \"required\": true,\n \"min_length\": 1,\n \"max_length\": 2,\n \"min\": 123,\n \"max\": 123,\n \"options\": [\n \"<string>\"\n ]\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.lapyme.com.ar/api/v1/sales/metafield-definitions/{definition_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"validations\": {\n \"required\": true,\n \"min_length\": 1,\n \"max_length\": 2,\n \"min\": 123,\n \"max\": 123,\n \"options\": [\n \"<string>\"\n ]\n }\n}"
response = http.request(request)
puts response.read_body{
"request_id": "<string>",
"data": {
"idempotent_replay": true,
"definition": {
"object": "metafield_definition",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "<string>",
"name": "<string>",
"description": "<string>",
"field_type": "boolean",
"validations": {
"required": true,
"min_length": 1,
"max_length": 2,
"min": 123,
"max": 123,
"options": [
"<string>"
]
}
},
"deleted": {
"object": "metafield_definition",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"deleted": true,
"deleted_value_count": 1
}
},
"warnings": [
"<unknown>"
]
}{
"request_id": "req_error_1",
"error": {
"type": "invalid_request_error",
"code": "INVALID_REQUEST",
"message": "Datos, validaciones o clave de idempotencia inválidos; campo del sistema",
"retryable": false,
"details": []
}
}{
"request_id": "req_error_1",
"error": {
"type": "invalid_request_error",
"code": "INVALID_REQUEST",
"message": "Autenticación requerida",
"retryable": false,
"details": []
}
}{
"request_id": "req_error_1",
"error": {
"type": "invalid_request_error",
"code": "INVALID_REQUEST",
"message": "Permisos insuficientes o campos personalizados no habilitados",
"retryable": false,
"details": []
}
}{
"request_id": "req_error_1",
"error": {
"type": "invalid_request_error",
"code": "INVALID_REQUEST",
"message": "Definición no encontrada en el recurso y organización",
"retryable": false,
"details": []
}
}{
"request_id": "req_error_1",
"error": {
"type": "invalid_request_error",
"code": "INVALID_REQUEST",
"message": "Nombre duplicado o clave de idempotencia usada con otros datos",
"retryable": false,
"details": []
}
}{
"request_id": "req_rate_limit_1",
"error": {
"type": "rate_limit_error",
"code": "RATE_LIMITED",
"message": "The organization request limit was reached. Try again later.",
"retryable": true,
"details": []
}
}{
"request_id": "req_error_1",
"error": {
"type": "invalid_request_error",
"code": "INVALID_REQUEST",
"message": "Error interno",
"retryable": false,
"details": []
}
}Actualizar definición de campo personalizado
Requiere campos personalizados habilitados. La clave y el tipo son inmutables. Los campos omitidos se conservan. Eliminar borra también los valores guardados y devuelve deleted_value_count. Productos requiere products:write; clientes y ventas requieren admin, igual que los comandos de configuración existentes.
PUT
/
api
/
v1
/
sales
/
metafield-definitions
/
{definition_id}
Actualizar definición de campo personalizado
curl --request PUT \
--url https://api.lapyme.com.ar/api/v1/sales/metafield-definitions/{definition_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"name": "<string>",
"description": "<string>",
"validations": {
"required": true,
"min_length": 1,
"max_length": 2,
"min": 123,
"max": 123,
"options": [
"<string>"
]
}
}
'import requests
url = "https://api.lapyme.com.ar/api/v1/sales/metafield-definitions/{definition_id}"
payload = {
"name": "<string>",
"description": "<string>",
"validations": {
"required": True,
"min_length": 1,
"max_length": 2,
"min": 123,
"max": 123,
"options": ["<string>"]
}
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: '<string>',
description: '<string>',
validations: {
required: true,
min_length: 1,
max_length: 2,
min: 123,
max: 123,
options: ['<string>']
}
})
};
fetch('https://api.lapyme.com.ar/api/v1/sales/metafield-definitions/{definition_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lapyme.com.ar/api/v1/sales/metafield-definitions/{definition_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'description' => '<string>',
'validations' => [
'required' => true,
'min_length' => 1,
'max_length' => 2,
'min' => 123,
'max' => 123,
'options' => [
'<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.lapyme.com.ar/api/v1/sales/metafield-definitions/{definition_id}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"validations\": {\n \"required\": true,\n \"min_length\": 1,\n \"max_length\": 2,\n \"min\": 123,\n \"max\": 123,\n \"options\": [\n \"<string>\"\n ]\n }\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.lapyme.com.ar/api/v1/sales/metafield-definitions/{definition_id}")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"validations\": {\n \"required\": true,\n \"min_length\": 1,\n \"max_length\": 2,\n \"min\": 123,\n \"max\": 123,\n \"options\": [\n \"<string>\"\n ]\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.lapyme.com.ar/api/v1/sales/metafield-definitions/{definition_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"validations\": {\n \"required\": true,\n \"min_length\": 1,\n \"max_length\": 2,\n \"min\": 123,\n \"max\": 123,\n \"options\": [\n \"<string>\"\n ]\n }\n}"
response = http.request(request)
puts response.read_body{
"request_id": "<string>",
"data": {
"idempotent_replay": true,
"definition": {
"object": "metafield_definition",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "<string>",
"name": "<string>",
"description": "<string>",
"field_type": "boolean",
"validations": {
"required": true,
"min_length": 1,
"max_length": 2,
"min": 123,
"max": 123,
"options": [
"<string>"
]
}
},
"deleted": {
"object": "metafield_definition",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"deleted": true,
"deleted_value_count": 1
}
},
"warnings": [
"<unknown>"
]
}{
"request_id": "req_error_1",
"error": {
"type": "invalid_request_error",
"code": "INVALID_REQUEST",
"message": "Datos, validaciones o clave de idempotencia inválidos; campo del sistema",
"retryable": false,
"details": []
}
}{
"request_id": "req_error_1",
"error": {
"type": "invalid_request_error",
"code": "INVALID_REQUEST",
"message": "Autenticación requerida",
"retryable": false,
"details": []
}
}{
"request_id": "req_error_1",
"error": {
"type": "invalid_request_error",
"code": "INVALID_REQUEST",
"message": "Permisos insuficientes o campos personalizados no habilitados",
"retryable": false,
"details": []
}
}{
"request_id": "req_error_1",
"error": {
"type": "invalid_request_error",
"code": "INVALID_REQUEST",
"message": "Definición no encontrada en el recurso y organización",
"retryable": false,
"details": []
}
}{
"request_id": "req_error_1",
"error": {
"type": "invalid_request_error",
"code": "INVALID_REQUEST",
"message": "Nombre duplicado o clave de idempotencia usada con otros datos",
"retryable": false,
"details": []
}
}{
"request_id": "req_rate_limit_1",
"error": {
"type": "rate_limit_error",
"code": "RATE_LIMITED",
"message": "The organization request limit was reached. Try again later.",
"retryable": true,
"details": []
}
}{
"request_id": "req_error_1",
"error": {
"type": "invalid_request_error",
"code": "INVALID_REQUEST",
"message": "Error interno",
"retryable": false,
"details": []
}
}Authorizations
Incluí tu API key en el header Authorization con el prefijo Bearer.
Headers
Clave estable para deduplicar reintentos de la misma operación.
Path Parameters
Body
application/json
Was this page helpful?

